com.amazonaws.services.codebuild.model

## Class ListBuildsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codebuild.model.ListBuildsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListBuildsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListBuildsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListBuildsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getNextToken()` During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token.
`String` `getSortOrder()` The order to list build IDs.
`int` `hashCode()`
`void` `setNextToken(String nextToken)` During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token.
`void` `setSortOrder(SortOrderType sortOrder)` The order to list build IDs.
`void` `setSortOrder(String sortOrder)` The order to list build IDs.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListBuildsRequest` `withNextToken(String nextToken)` During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token.
`ListBuildsRequest` `withSortOrder(SortOrderType sortOrder)` The order to list build IDs.
`ListBuildsRequest` `withSortOrder(String sortOrder)` The order to list build IDs.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListBuildsRequest

    public ListBuildsRequest()

### Method Detail

#### setSortOrder

    public void setSortOrder(String sortOrder)

The order to list build IDs. Valid values include:

- `ASCENDING`: List the build IDs in ascending order by build ID.

- `DESCENDING`: List the build IDs in descending order by build ID.

Parameters:
  `sortOrder` - The order to list build IDs. Valid values include:

  - `ASCENDING`: List the build IDs in ascending order by build ID.

  - `DESCENDING`: List the build IDs in descending order by build ID.

See Also:
  `SortOrderType`

#### getSortOrder

    public String getSortOrder()

The order to list build IDs. Valid values include:

- `ASCENDING`: List the build IDs in ascending order by build ID.

- `DESCENDING`: List the build IDs in descending order by build ID.

Returns:
  The order to list build IDs. Valid values include:

  - `ASCENDING`: List the build IDs in ascending order by build ID.

  - `DESCENDING`: List the build IDs in descending order by build ID.

See Also:
  `SortOrderType`

#### withSortOrder

    public ListBuildsRequest withSortOrder(String sortOrder)

The order to list build IDs. Valid values include:

- `ASCENDING`: List the build IDs in ascending order by build ID.

- `DESCENDING`: List the build IDs in descending order by build ID.

Parameters:
  `sortOrder` - The order to list build IDs. Valid values include:

  - `ASCENDING`: List the build IDs in ascending order by build ID.

  - `DESCENDING`: List the build IDs in descending order by build ID.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SortOrderType`

#### setSortOrder

    public void setSortOrder(SortOrderType sortOrder)

The order to list build IDs. Valid values include:

- `ASCENDING`: List the build IDs in ascending order by build ID.

- `DESCENDING`: List the build IDs in descending order by build ID.

Parameters:
  `sortOrder` - The order to list build IDs. Valid values include:

  - `ASCENDING`: List the build IDs in ascending order by build ID.

  - `DESCENDING`: List the build IDs in descending order by build ID.

See Also:
  `SortOrderType`

#### withSortOrder

    public ListBuildsRequest withSortOrder(SortOrderType sortOrder)

The order to list build IDs. Valid values include:

- `ASCENDING`: List the build IDs in ascending order by build ID.

- `DESCENDING`: List the build IDs in descending order by build ID.

Parameters:
  `sortOrder` - The order to list build IDs. Valid values include:

  - `ASCENDING`: List the build IDs in ascending order by build ID.

  - `DESCENDING`: List the build IDs in descending order by build ID.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SortOrderType`

#### setNextToken

    public void setNextToken(String nextToken)

During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call. To get all of the items in the list, keep calling this operation with each subsequent next token that is returned, until no more next tokens are returned.

Parameters:
  `nextToken` - During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call. To get all of the items in the list, keep calling this operation with each subsequent next token that is returned, until no more next tokens are returned.

#### getNextToken

    public String getNextToken()

During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call. To get all of the items in the list, keep calling this operation with each subsequent next token that is returned, until no more next tokens are returned.

Returns:
  During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call. To get all of the items in the list, keep calling this operation with each subsequent next token that is returned, until no more next tokens are returned.

#### withNextToken

    public ListBuildsRequest withNextToken(String nextToken)

During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call. To get all of the items in the list, keep calling this operation with each subsequent next token that is returned, until no more next tokens are returned.

Parameters:
  `nextToken` - During a previous call, if there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call. To get all of the items in the list, keep calling this operation with each subsequent next token that is returned, until no more next tokens are returned.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListBuildsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`